package test

import (
	"fmt"
	"net/http"
	"net/http/httptest"
	"path/filepath"
	"runtime"
	"testing"
	"time"

	"github.com/astaxie/beego"
	. "github.com/smartystreets/goconvey/convey"
)

func init() {
	_, file, _, _ := runtime.Caller(0)
	apppath, _ := filepath.Abs(filepath.Dir(filepath.Join(file, ".."+string(filepath.Separator))))

	beego.TestBeegoInit(apppath)
	fmt.Println(apppath)
}

// TestBeego is a sample to run an endpoint test
func TestBeego(t *testing.T) {
	time.Sleep(1000)
	r, _ := http.NewRequest("GET", "/v1/posts", nil)
	w := httptest.NewRecorder()

	beego.BeeApp.Handlers.ServeHTTP(w, r)
	beego.Trace("testing", "TestBeego", "Code [ %d ]\n%s", w.Code, w.Body.String())

	Convey("Subject: Test Station Endpoint\n", t, func() {
		Convey("Status Code Should Be 200", func() {
			So(w.Code, ShouldEqual, 200)
		})
		Convey("The Result Should Not Be Empty", func() {
			So(w.Body.Len(), ShouldBeGreaterThan, 0)
		})
	})
}
